local name, ns = ...

local StacKings = LibStub("AceAddon-3.0"):NewAddon(name, "AceEvent-3.0", "AceConsole-3.0")
_G.StacKings = StacKings

StacKings.debug = ns.debug

--[[
-- startup
--]]
function StacKings:OnInitialize()
	self:InitializeDB()
	self:InitOptions()
	self:RegisterEvent("PLAYER_ENTERING_WORLD")
end

function StacKings:OnEnable()
	self:UpdateAllBars()
end

function StacKings:PLAYER_ENTERING_WORLD()
	self:UnregisterEvent("PLAYER_ENTERING_WORLD")
	self:InitializeBars()
end


